Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365330 - python-zmq-v16.0.1 is available
Summary: python-zmq-v16.0.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zmq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 00:24 UTC by Upstream Release Monitoring
Modified: 2018-11-05 10:52 UTC (History)
5 users (show)

Fixed In Version: python-zmq-17.0.0-1.fc27 python-zmq-17.0.0-1.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 10:52:48 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-08-09 00:25 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-10-11 00:26 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-10-29 13:06 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-11-11 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-09 00:24:47 UTC
Latest upstream release: 15.4.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4104/

Comment 1 Upstream Release Monitoring 2016-08-09 00:25:25 UTC
Patching or scratch build for python-zmq-14.3.1 failed.

Comment 2 Upstream Release Monitoring 2016-08-09 00:25:27 UTC
Created attachment 1188956 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-08-09 00:25:29 UTC
Patches were not touched. All were applied properly

Comment 4 Kevin Fenzi 2016-08-10 22:36:39 UTC
I'm getting an odd test failure here: 

zmq/tests/test_zmqstream.py::TestZMQStream::test_callable_check PASSED
==================================== ERRORS ====================================
______________ ERROR collecting zmq/tests/asyncio/test_asyncio.py ______________
zmq/tests/asyncio/test_asyncio.py:4: in <module>
    from ._test_asyncio import TestAsyncIOSocket, TestAsyncioAuthentication
zmq/tests/asyncio/_test_asyncio.py:13: in <module>
    import asyncio
zmq/asyncio/__init__.py:18: in <module>
    from asyncio import SelectorEventLoop, Future
E   ImportError: cannot import name 'SelectorEventLoop'
=============== 204 passed, 24 skipped, 1 error in 43.20 seconds ===============

My understanding is that SelectorEventLoop is a windows only thing... so I am not sure why it's trying to import it. ;(

Comment 5 Upstream Release Monitoring 2016-10-11 00:25:33 UTC
Latest upstream release: 16.0.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4104/

Comment 6 Upstream Release Monitoring 2016-10-11 00:26:12 UTC
Patching or scratch build for python-zmq-14.3.1 failed.

Comment 7 Upstream Release Monitoring 2016-10-11 00:26:15 UTC
Created attachment 1208985 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 8 Upstream Release Monitoring 2016-10-11 00:26:17 UTC
Patches were not touched. All were applied properly

Comment 9 Upstream Release Monitoring 2016-10-29 13:05:35 UTC
Latest upstream release: v16.0.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4104/

Comment 10 Upstream Release Monitoring 2016-10-29 13:06:12 UTC
Patching or scratch build for python-zmq-14.3.1 failed.

Comment 11 Upstream Release Monitoring 2016-10-29 13:06:14 UTC
Created attachment 1215301 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 12 Upstream Release Monitoring 2016-10-29 13:06:17 UTC
Following patches has been deleted:
['0002-use-futimens-if-available-instead-of-utime.patch']

Comment 13 Upstream Release Monitoring 2016-11-11 00:19:51 UTC
Latest upstream release: v16.0.1
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4104/

Comment 14 Upstream Release Monitoring 2016-11-11 00:20:28 UTC
Patching or scratch build for python-zmq-14.3.1 failed.

Comment 15 Upstream Release Monitoring 2016-11-11 00:20:31 UTC
Created attachment 1219589 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 16 Upstream Release Monitoring 2016-11-11 00:20:32 UTC
Patches were not touched. All were applied properly

Comment 17 Kevin Fenzi 2016-11-11 18:49:16 UTC
This is still failing in tests... 

http://koji.fedoraproject.org/koji/taskinfo?taskID=16394350

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.Ovw2zw
+ umask 022
+ cd /builddir/build/BUILD
+ cd pyzmq-16.0.1
+ rm zmq/__init__.py
+ PYTHONPATH=/builddir/build/BUILDROOT/python-zmq-16.0.1-1.fc26.i386/usr/lib/python3.5/site-packages
+ /usr/bin/python3 setup.py test
running test
Testing pyzmq-16.0.1 with libzmq-4.1.4
============================= test session starts ==============================
platform linux -- Python 3.5.2, pytest-3.0.3, py-1.4.31, pluggy-0.4.0 -- /usr/bin/python3
cachedir: .cache
rootdir: /builddir/build/BUILD/pyzmq-16.0.1, inifile: 
collecting ... collected 231 items / 1 errors
==================================== ERRORS ====================================
______________ ERROR collecting zmq/tests/asyncio/test_asyncio.py ______________
ImportError while importing test module '/builddir/build/BUILD/pyzmq-16.0.1/zmq/tests/asyncio/test_asyncio.py'.
Original error message:
'cannot import name 'SelectorEventLoop''
Make sure your test modules/packages have valid Python names.
!!!!!!!!!!!!!!!!!!! Interrupted: 1 errors during collection !!!!!!!!!!!!!!!!!!!!
=========================== 1 error in 1.05 seconds ============================
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.Ovw2zw (%check)
    Bad exit status from /var/tmp/rpm-tmp.Ovw2zw (%check)
Child return code was: 1

Comment 18 Thomas Spura 2016-11-13 10:20:05 UTC
This seems to be some strange bug (possibly in main python), so that the main asyncio module is not found, but the local zmq.asyncio.

Upstream tests this differently via building in-place and testing also in-place. I just modified pyzmq to build twice:
- Once in-place for later testing in-place
- Once for later installing, so that all files are properly copied to the ./build/ directory and installed properly.

So far this seems to work fine, but please give it a try again and test it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16434124

Comment 19 Kevin Fenzi 2016-11-13 15:33:02 UTC
Thanks for the workaround. It seems odd to me that you would test something that isn't actually the thing you install, but it all seems to work here from simple testing.

Comment 20 Elliott Sales de Andrade 2018-11-05 10:52:48 UTC
Seems to have been updated.


Note You need to log in before you can comment on or make changes to this bug.